Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### float()

Examples

    int i = 65;
    float f = float(i);
    println(i + " : " + f);  // Prints "65 : 65.0"

    char c = 'E';
    f = float(c);
    println(c + " : " + f);  // Prints "E : 69.0"

Description | Converts a primitive datatype, string, or array to its floating point representation.

Syntax

    float(value)

Parameters

value | int, char, byte, boolean, String, int[], char[], byte[], boolean[], String[]

Usage | Web & Application
Related | float int() byte()

Updated on February 09, 2008 04:38:53pm PST